Package org.pentaho.reporting.libraries.formula.operators

# Class PercentageOperator

java.lang.Object
org.pentaho.reporting.libraries.formula.operators.PercentageOperator

All Implemented Interfaces:
  `Serializable`, `PostfixOperator`

public class PercentageOperator extends Object implements PostfixOperator
Creation-Date: 02.11.2006, 10:27:03

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PercentageOperator()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, TypeValuePair value1)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PercentageOperator

public PercentageOperator()

## Method Details

### evaluate

public TypeValuePair evaluate(FormulaContext context, TypeValuePair value1) throws EvaluationException

Specified by:
  `evaluate` in interface `PostfixOperator`
Throws:
  `EvaluationException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`